Delete a broadcast

Delete a broadcast.

DELETEhttps://app.usenotix.dev/api/v1/broadcasts/{broadcastId}

Needs a full access key. Sending access keys cannot call this. Key permissions lists the extra rules some calls have.

Delete a broadcast.

Path parameters

broadcastIdstringrequired

Headers

Authorizationstringrequired

Bearer followed by your API key.

curl -X DELETE "https://app.usenotix.dev/api/v1/broadcasts/<broadcastId>" \
  -H "Authorization: Bearer $NOTIX_API_KEY"
Response200
{
  "id": "cm1x8f3k20001qz7v5b9d2e4a",
  "name": "Acme",
  "from": "Acme <receipts@acme.com>",
  "subject": "Your receipt for order 4471",
  "previewText": "Thanks for your order.",
  "contactBookId": "cm1x8f3k20001qz7v5b9d2e4a",
  "segmentId": "cm1x8f3k20001qz7v5b9d2e4a",
  "html": "<p>Thanks for your order.</p>",
  "content": "string",
  "status": "string",
  "scheduledAt": "2026-10-01T09:00:00Z",
  "batchSize": 1,
  "batchWindowMinutes": 1,
  "total": 1,
  "maxRecipients": 1,
  "sent": 1,
  "delivered": 1,
  "opened": 1,
  "clicked": 1,
  "unsubscribed": 1,
  "bounced": 1,
  "hardBounced": 1,
  "complained": 1,
  "replyTo": [
    "string"
  ],
  "cc": [
    "string"
  ],
  "bcc": [
    "string"
  ],
  "createdAt": "2026-10-01T09:00:00Z",
  "updatedAt": "2026-10-01T09:00:00Z"
}
Open in ClaudeOpen in ChatGPT